Bug 1437334 - hooks aren't retrieved properly
Summary: hooks aren't retrieved properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-heatclient
Version: 11.0 (Ocata)
Hardware: All
OS: Unspecified
unspecified
high
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Thomas Hervé
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On: 1436712
Blocks: 1394025
TreeView+ depends on / blocked
 
Reported: 2017-03-30 06:33 UTC by Thomas Hervé
Modified: 2017-08-08 05:26 UTC (History)
19 users (show)

Fixed In Version: python-heatclient-1.8.0-2.el7ost
Doc Type: Bug Fix
Doc Text:
After the optimization of event retrieval process, the 'openstack stack hook poll' command stopped returning pending hooks, even if they existed and should be returned. The problem was fixed. Now pending hooks are returned correctly.
Clone Of: 1436712
Environment:
Last Closed: 2017-05-17 20:16:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 451454 None None None 2017-03-30 06:33:37 UTC
Launchpad 1676896 None None None 2017-03-30 06:33:37 UTC

Comment 5 Alan Pevec 2017-04-10 14:45:07 UTC
> RDO Ocata has this pinned to 1.8.0

That's coming from upstream upper-constraints.txt
so upstream CI is not running with that fix, even master is 1.8.0:
https://github.com/openstack/requirements/blob/master/upper-constraints.txt#L495
So you need new heatclient release upstream.

> (either need to unpin in rdoinfo, backport for OSP 11, and/or tag in upstream)

Release upstream should be easy enough, just send request to openstack/releases for 1.8.1

Comment 10 errata-xmlrpc 2017-05-17 20:16:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.